<template>
  <header>
    <nav>
      <div class="left">
        <img class="logo" v-if="cocktail != null" :src="cocktail.image" />
      </div>
      <ul class="n-ul">
        <li class="n-li" >
          <router-link class="link-fix" to="/"> Home </router-link >
        </li>
        <li class="n-li" >
          <a @click="goToCocktail"> My Cocktail</a>
        </li>
      </ul>
    </nav>
  </header>
</template>

<script>
export default {
  name: "Navbar",
  props: {
    cocktail: Object,
  },
  methods: {
    goToCocktail() {
      if( this.cocktail != null) {
        this.$router.push(`/cocktail/${this.cocktail.id}`)
      } else {
        this.$router.push(`/cocktail/0`)
      }

    }
  }
};
</script>

<style src="./Navbar.scss" lang="scss">
</style>